KWIN_FILL_POLYGON(3)

FUNCTION
kwin_fill_polygon - Draw a filled polygon onto a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_fill_polygon

(KPixCanvas canvas, int *point_x, int *point_y, unsigned int num_vertices, unsigned long pixel_value, flag convex)

DESCRIPTION
Draw a filled polygon onto a pixel canvas.

canvas
    The canvas.

point_x
    The array of x co-ordinates of vertices of the polygon.

point_y
    The array of y co-ordinates of vertices of the polygon.

num_vertices
    The number of vertices in the polygon.

pixel_value
    The pixel value to use.

convex
    If TRUE, then the points must form a convex polygon.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/